Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.pref
Class AddressBookPreferences

    java.lang.Object
      portlets.compoze.groupware.pref.AbstractPreferences
          portlets.compoze.groupware.pref.AddressBookPreferences

All Implemented Interfaces:
  java.io.Serializable

public class AddressBookPreferences
extends AbstractPreferences
implements java.io.Serializable

This class represents the user configurables settings for the 'Address Book' feature. For changes to be committed, the `update` method must be called.

See Also:
  `FeatureGroup.Feature.ADDRESS_BOOK`, Serialized Form

Field Summary
`static int` | `DEFAULT_CONTACTS_PER_PAGE`

Constructor Summary
`AddressBookPreferences(com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper, java.lang.String sInstanceLabel)` Constructor.

Method Summary
`int` | `getContactsPerPage()` Gets the number of contacts per page.
`void` | `setContactsPerPage(int iContactsPerPage)` Sets the number of contacts per page.

Methods inherited from class portlets.compoze.groupware.pref.AbstractPreferences
`getInstanceLabel, getPreference, setPreference, setPreference, setPreference, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_CONTACTS_PER_PAGE

    public static final int DEFAULT_CONTACTS_PER_PAGE

See Also:
  Constant Field Values

Constructor Detail

### AddressBookPreferences

    public AddressBookPreferences(com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper,
                                  java.lang.String sInstanceLabel)
                           throws GroupwareException

  Constructor.

Parameters:
  `userProfileWrapper` - the user profile (may not be `null`)

Method Detail

### getContactsPerPage

    public int getContactsPerPage()

  Gets the number of contacts per page.

  Returns:
    the number of contacts per page

### setContactsPerPage

    public void setContactsPerPage(int iContactsPerPage)

  Sets the number of contacts per page.

  Parameters:
    `iContactsPerPage` - the number of contacts per page (must be > 0)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.